# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(IO/Handle.pm) perl(IPC/Open2.pm)
# END SourceDeps(oneline)
Name:           lagan
Version:        2.0
Release:        alt1_11
Summary:        Local, global, and multiple alignment of DNA sequences

Group:          Engineering
License:        GPLv2
URL:            http://lagan.stanford.edu
Source0:        http://lagan.stanford.edu/lagan_web/lagan20.tar.gz
Patch0:         lagan20-chris.patch
Source44: import.info


%description
LAGAN toolkit is a set of tools for local, global, and multiple alignment of
DNA sequences.  Please visit http://lagan.stanford.edu for publications
describing LAGAN and its components.

The 4 main parts of LAGAN are:

1. CHAOS local alignment tool
2. LAGAN pairwise global alignment tool
3. MLAGAN multiple global alignment tool.
4. Shuffle-LAGAN pairwise glocal alignment


%prep
%setup -q -n lagan20
%patch0 -p1 -b .chris
sed -i 's/^CC .*$/CC = gcc $(RPM_OPT_FLAGS)/;
        s/^CPP .*$/CPP = g++ $(RPM_OPT_FLAGS)/' Makefile
sed -i 's|getenv ("LAGAN_DIR")|"%_libdir/lagan"|g' src/*.c src/utils/*.c
sed -i 's|getenv ("LAGAN_DIR")|"%_libdir/lagan"|g' src/utils/*.cpp
sed -i 's|$ENV{LAGAN_DIR}|"%_libdir/lagan"|g' *.pl src/*.pl utils/*.pl src/utils/*.pl
sed -i 's|$LAGAN_DIR|%_libdir/lagan|g' Readmes/README.shuffle src/*.c
sed -i 's/getline/GetLine/g' src/anchors.c
rm prolagan
chmod -x src/glocal/*


%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"


%install
mkdir -p $RPM_BUILD_ROOT/%_bindir $RPM_BUILD_ROOT/%_libdir/lagan/utils
install -m755 chaos ${RPM_BUILD_ROOT}%{_bindir}
install -m755 mlagan ${RPM_BUILD_ROOT}%{_bindir}
install -m755 prolagan ${RPM_BUILD_ROOT}%{_bindir}
install -m755 lagan.pl ${RPM_BUILD_ROOT}%{_bindir}/lagan
install -m755 slagan.pl ${RPM_BUILD_ROOT}%{_bindir}/slagan
for f in anal_gloc.pl anchors glocal order rechaos.pl \
  supermap.pl xmfa2mfa.pl; do
  install -m755 $f $RPM_BUILD_ROOT/%_libdir/lagan
done
for f in bin2bl bin2mf cextract cmerge2.pl contigorder cstat dotplot \
  draft.pl fa2xfa getbounds getcontigpos getlength getoverlap Glue \
  mextract.pl mf2bin.pl mpretty.pl mproject.pl mrunfile.pl mrunpairs.pl \
  mrun.pl mviz.pl rc scorealign scorecontigs seqmerge overlay; do
  install -m755 utils/$f $RPM_BUILD_ROOT/%_libdir/lagan/utils
done
install -m644 *.txt *.score $RPM_BUILD_ROOT/%_libdir/lagan
rm -f Readmes/*.chris


%files
%doc Readmes/* sample.*
%_bindir/chaos
%_bindir/lagan
%_bindir/mlagan
%_bindir/slagan
%_bindir/prolagan
%_libdir/lagan/



%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 2.0-alt1_11
- initial fc import

